package com.njcn.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.system.pojo.param.EventDictParam;
import com.njcn.system.pojo.po.ReportDict;
import com.njcn.system.pojo.vo.EventReportDictVO;

import java.util.List;

/**
 * @author hany
 * @createTime 2022/10/08
 */
public interface IEventDictService {
    /**
     * 新增字典
     * @param eventDictParam 参数
     */
    boolean addDict(EventDictParam eventDictParam);

    /**
     * 修改字典
     * @param dictUpdateParam 参数
     */
    boolean updateDict(EventDictParam.DictUpdateParam dictUpdateParam);

    /**
     * 删除字典
     * @param id id
     */
    boolean delete(String id);

    /**
     * 查询字典列表
     * @param dictQueryParam 参数
     */
    Page<ReportDict> getList(EventDictParam.DictQueryParam dictQueryParam);

    List<EventReportDictVO> getReportDictList (EventDictParam.DictQueryParam dictQueryParam);

    /**
     * 查询字典
     * @param id id
     */
    ReportDict getDictById(String id);

    /**
     * 获取字典树
     * @param type 类型
     */
    List<EventReportDictVO> getDictTree(String type);
}
